package beautiful05.common.dao.mock;

import java.util.ArrayList;
import java.util.List;

import beautiful05.common.dao.UserDao;
import beautiful05.common.entity.User;

/**
 * UserDaobN
 * @author agata
 */
public class MockUserDao implements UserDao {

	public User findById(Integer userId) {
		User user = new User();
		user.setId(userId);
		user.setName("[U" + userId);
		user.setMailAddress(userId + "@localhost");
		return user;
	}

	public List<Integer> findSubscribeUserIdList() {
		List<Integer> userIdList = new ArrayList<Integer>();
		for (int i = 0; i < 100; i++) {
			userIdList.add(i);
		}
		return userIdList;
	}
}
