package beautiful05.step2;

import java.util.List;

import beautiful05.common.dao.UserDao;
import beautiful05.common.entity.User;

import com.ozacc.mail.Mail;

public class UserSendMailer extends SendMailer {

	private UserDao userDao;
	public void setUserDao(UserDao userDao) {
		this.userDao = userDao;
	}
	
	@Override
	protected List getTargetIdList() {
		List<Integer> userIdList = userDao.findSubscribeUserIdList();
		return userIdList;
	}

	@Override
	protected Object getEntity(Object targetKey) {
		Integer userId = (Integer)targetKey;
		return userDao.findById(userId);
	}

	@Override
	protected Mail makeMail(Object entity, String from, String subject, String body) {
		User user = (User)entity;
		Mail mail = new Mail();
		mail.addTo(user.getMailAddress());
		mail.setFrom(from);
		mail.setSubject(subject);
		mail.setText(body);
		return mail;
	}
}
